# Create or Update an Address

Adds address info to user profile.
List of required fields are different for different countries. Use the [address requirements endpoint](#operation/addressRequirementsGet) to dynamically discover required fields.
For updating personal profiles, consider using [the personal profile update endpoint](/api-reference/legacy/profile/profilepersonalupdate) instead. It allows submitting the address information alongside other profile data.
**State field** is required for US, CA, BR, and AU addresses.
**Occupations** is required for CA, IN, JP, ID, IL, MX, and within the US for the state NM.

Endpoint: POST /v1/addresses
Security: UserToken, PersonalToken

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. [Learn more](/guides/developer/headers/correlation-id).

## Request fields (application/json):

  - `profile` (integer, required)
    User profile ID.
    Example: 12345678

  - `details` (object, required)
    Address details.

  - `details.country` (string, required)
    Country code (ISO 3166-1 alpha-2).
    Example: US

  - `details.firstLine` (string, required)
    Address line: street, house, apartment.
    Example: 50 Sunflower Ave

  - `details.postCode` (string, required)
    Postal / zip code (max 30 characters).
    Example: 10025

  - `details.city` (string, required)
    City name.
    Example: Phoenix

  - `details.state` (string)
    State code. Required if country is US, CA, BR, or AU.
    Example: AZ

  - `details.occupations` (array)
    User occupations. Required for CA, IN, JP, ID, IL, MX, and within the US for state NM.

  - `details.occupations.code` (string)
    User occupation - any value permitted.
    Example: Software Engineer

  - `details.occupations.format` (string)
    Occupation type - always `FREE_FORM`.
    Enum: "FREE_FORM"

## Response 200 fields (application/json):

  - `id` (integer)
    Address ID.
    Example: 10000001

  - `profile` (integer)
    User profile ID.
    Example: 12345678

  - `details` (object)
    Address details.

  - `details.country` (string)
    Country code (ISO 3166-2 Country Code).
    Example: US

  - `details.firstLine` (string)
    Address line: street, house, apartment.
    Example: 50 Sunflower Ave

  - `details.postCode` (string)
    Postal or zip code (max 30 characters).
    Example: 10025

  - `details.city` (string)
    City name.
    Example: Phoenix

  - `details.state` (string)
    State code. Required if country is US, CA, BR, or AU.
    Example: AZ

  - `details.occupations` (array)
    User occupations. Required for CA, IN, JP, ID, IL, MX, and within the US for state NM.

  - `details.occupations.code` (string)
    User occupation - any value permitted.
    Example: Software Engineer

  - `details.occupations.format` (string)
    Occupation type - always `FREE_FORM`.
    Enum: "FREE_FORM"

